QObjectListIterator(3qt)

NAME
QObjectListIterator - Iterator for QObjectLists

SYNOPSIS
#include <qobjectlist.h>

Inherits QPtrListIterator<QObject>.

  Public Members
QObjectListIterator ( const QObjectList & list )
QObjectListIterator & operator= ( const QObjectListIterator & it )

DESCRIPTION
The QObjectListIterator class provides an iterator for QObjectLists.

A QObjectListIterator iterator is a QPtrListIterator<QObject>.

See QObject::queryList() for an example of use.

See also QObjectList, Collection Classes, and Non-GUI Classes.

MEMBER FUNCTION DOCUMENTATION

QObjectListIterator::QObjectListIterator ( const QObjectList & list )
Constructs an iterator for list. The current iterator item is set to point on the first item in the list.

QObjectListIterator & QObjectListIterator::operator= ( const QObjectListIterator & it )
Assignment. Makes a copy of the iterator it and returns a reference to this iterator.

SEE ALSO
http://doc.trolltech.com/qobjectlistiterator.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qobjectlistiterator.3qt) and the Qt version (3.3.8).